## AgsApplicable

AgsApplicable — unique access to applicable objects

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_applicable_set_update ()
void | ags_applicable_apply ()
void | ags_applicable_reset ()

## Object Hierarchy

        GInterface
        ╰── AgsApplicable

## Includes

    #include <ags/object/ags_applicable.h>

## Description

The AgsApplicable interface gives you a unique access to applicable objects.

## Functions

### ags_applicable_set_update ()

    void
    ags_applicable_set_update (AgsApplicable *applicable,
                               gboolean update);

Update behaviour.

#### Parameters

applicable | an AgsApplicable |
update | if `TRUE` do ::reset after ::apply |

Since: 3.0.0

### ags_applicable_apply ()

    void
    ags_applicable_apply (AgsApplicable *applicable);

Apply all changes done so far.

#### Parameters

applicable | an AgsApplicable |

Since: 3.0.0

### ags_applicable_reset ()

    void
    ags_applicable_reset (AgsApplicable *applicable);

Reset all changes within the user interface.

#### Parameters

applicable | an AgsApplicable |

Since: 3.0.0